services:
  homepage:
    image: ghcr.io/gethomepage/homepage:latest
    container_name: homepage
    restart: unless-stopped
    env_file:
      - /srv/docker/secrets/homepage/.env
#    ports:
 #     - 3003:3000
    volumes:
      - ./config:/app/config:ro
      - /srv/appdata/homepage/logs:/app/config/logs
      - /srv/appdata/homepage/report:/app/config/report
      - /var/run/docker.sock:/var/run/docker.sock:ro # (optional) For docker integrations
      - /data/Data1:/data/Data1:ro
      - ./images:/app/public/images:ro
    environment:
      HOMEPAGE_ALLOWED_HOSTS: heimdall.lan # required, may need port. See gethomepage.dev/installation/#homepage_allowed_hosts
      HOMEPAGE_PROXY_DISABLE_IPV6: true
    networks:
      npm_proxy:
        ipv4_address: 192.168.96.11
networks:
  npm_proxy:
    external: true
